Panda3D

Loading...
Searching...
No Matches
Functions | Variables
direct.gui.DirectGuiGlobals Namespace Reference

## Functions
| getDefaultClickSound ()
| getDefaultDialogGeom ()
| getDefaultDialogRelief ()
| getDefaultDrawOrder ()
| getDefaultFont ()
| getDefaultPanel ()
| getDefaultRolloverSound ()
| setDefaultClickSound (newSound)
| setDefaultDialogGeom (newDialogGeom, relief=None)
| setDefaultDrawOrder (newDrawOrder)
| setDefaultFont (newFont)
| setDefaultFontFunc (newFontFunc)
| setDefaultPanel (newPanel)
| setDefaultRolloverSound (newSound)

## Variables
int | _OPT_DEFAULT = 0
int | _OPT_FUNCTION = 2
int | _OPT_VALUE = 1
str | ACCEPT = PGEntry.getAcceptPrefix() + KeyboardButton.enter().getName() + '-'
str | ACCEPTFAILED = PGEntry.getAcceptFailedPrefix() + KeyboardButton.enter().getName() + '-'
| ADJUST = PGSliderBar.getAdjustPrefix()
str | B1CLICK = PGButton.getClickPrefix() + MouseButton.one().getName() + '-'
str | B1PRESS = PGButton.getPressPrefix() + MouseButton.one().getName() + '-'
str | B1RELEASE = PGButton.getReleasePrefix() + MouseButton.one().getName() + '-'
str | B2CLICK = PGButton.getClickPrefix() + MouseButton.two().getName() + '-'
str | B2PRESS = PGButton.getPressPrefix() + MouseButton.two().getName() + '-'
str | B2RELEASE = PGButton.getReleasePrefix() + MouseButton.two().getName() + '-'
str | B3CLICK = PGButton.getClickPrefix() + MouseButton.three().getName() + '-'
str | B3PRESS = PGButton.getPressPrefix() + MouseButton.three().getName() + '-'
str | B3RELEASE = PGButton.getReleasePrefix() + MouseButton.three().getName() + '-'
int | BACKGROUND_SORT_INDEX = -100
| BUTTON_DEPRESSED_STATE = PGButton.SDepressed
| BUTTON_INACTIVE_STATE = PGButton.SInactive
| BUTTON_READY_STATE = PGButton.SReady
| BUTTON_ROLLOVER_STATE = PGButton.SRollover
| CURSORMOVE = PGEntry.getCursormovePrefix()
| defaultClickSound = None
| defaultDialogGeom = None
| defaultDialogRelief = PGFrameStyle.TBevelOut
| defaultFont = None
| defaultFontFunc = TextNode.getDefaultFont
| defaultRolloverSound = None
str | DESTROY = 'destroy-'
int | DIALOG_CANCEL = -1
int | DIALOG_NO = 0
int | DIALOG_OK = 1
str | DISABLED = 'disabled'
int | drawOrder = 100
| ENTER = PGButton.getEnterPrefix()
| ERASE = PGEntry.getErasePrefix()
| EXIT = PGButton.getExitPrefix()
int | FADE_SORT_INDEX = 1000
| FLAT = PGFrameStyle.TFlat
int | FOREGROUND_SORT_INDEX = 100
dict | FrameStyleDict
int | GEOM_SORT_INDEX = 20
| get_default_click_sound = getDefaultClickSound
| get_default_dialog_geom = getDefaultDialogGeom
| get_default_dialog_relief = getDefaultDialogRelief
| get_default_draw_order = getDefaultDrawOrder
| get_default_font = getDefaultFont
| get_default_panel = getDefaultPanel
| get_default_rollover_sound = getDefaultRolloverSound
| GROOVE = PGFrameStyle.TGroove
str | HORIZONTAL = 'horizontal'
int | IMAGE_SORT_INDEX = 10
list | INITOPT = ['initopt']
| Constant used to indicate that an option can only be set by a call to the constructor.
int | LMB = 0
int | MIDGROUND_SORT_INDEX = 0
int | MMB = 1
int | NO_FADE_SORT_INDEX = 2000
str | NORMAL = 'normal'
| OVERFLOW = PGEntry.getOverflowPrefix()
| panel = None
str | PRINT = 'print-'
| RAISED = PGFrameStyle.TBevelOut
| RIDGE = PGFrameStyle.TRidge
int | RMB = 2
| set_default_click_sound = setDefaultClickSound
| set_default_dialog_geom = setDefaultDialogGeom
| set_default_draw_order = setDefaultDrawOrder
| set_default_font = setDefaultFont
| set_default_panel = setDefaultPanel
| set_default_rollover_sound = setDefaultRolloverSound
| SUNKEN = PGFrameStyle.TBevelIn
int | TEXT_SORT_INDEX = 30
| TEXTUREBORDER = PGFrameStyle.TTextureBorder
| TYPE = PGEntry.getTypePrefix()
str | VERTICAL = 'vertical'
str | VERTICAL_INVERTED = 'vertical_inverted'
| WITHIN = PGButton.getWithinPrefix()
| WITHOUT = PGButton.getWithoutPrefix()

## Detailed Description

    Global definitions used by Direct Gui Classes and handy constants
    that can be used during widget construction

## Function Documentation

## ◆ getDefaultClickSound()

getDefaultClickSound | ( |  | ) |

## ◆ getDefaultDialogGeom()

getDefaultDialogGeom | ( |  | ) |

## ◆ getDefaultDialogRelief()

getDefaultDialogRelief | ( |  | ) |

## ◆ getDefaultDrawOrder()

getDefaultDrawOrder | ( |  | ) |

## ◆ getDefaultFont()

getDefaultFont | ( |  | ) |

## ◆ getDefaultPanel()

getDefaultPanel | ( |  | ) |

## ◆ getDefaultRolloverSound()

getDefaultRolloverSound | ( |  | ) |

## ◆ setDefaultClickSound()

setDefaultClickSound | ( |  | newSound | ) |

## ◆ setDefaultDialogGeom()

setDefaultDialogGeom | ( |  | newDialogGeom,
|  |  | relief = None )

## ◆ setDefaultDrawOrder()

setDefaultDrawOrder | ( |  | newDrawOrder | ) |

## ◆ setDefaultFont()

setDefaultFont | ( |  | newFont | ) |

    Changes the default font for DirectGUI items.  To change the default
    font across the board, see :meth:`.TextNode.setDefaultFont`.

## ◆ setDefaultFontFunc()

setDefaultFontFunc | ( |  | newFontFunc | ) |

## ◆ setDefaultPanel()

setDefaultPanel | ( |  | newPanel | ) |

## ◆ setDefaultRolloverSound()

setDefaultRolloverSound | ( |  | newSound | ) |

## Variable Documentation

## ◆ _OPT_DEFAULT

int _OPT_DEFAULT = 0
| protected

## ◆ _OPT_FUNCTION

int _OPT_FUNCTION = 2
| protected

## ◆ _OPT_VALUE

int _OPT_VALUE = 1
| protected

## ◆ ACCEPT

str ACCEPT = PGEntry.getAcceptPrefix() + KeyboardButton.enter().getName() + '-'

## ◆ ACCEPTFAILED

str ACCEPTFAILED = PGEntry.getAcceptFailedPrefix() + KeyboardButton.enter().getName() + '-'

## ◆ ADJUST

ADJUST = PGSliderBar.getAdjustPrefix()

## ◆ B1CLICK

str B1CLICK = PGButton.getClickPrefix() + MouseButton.one().getName() + '-'

## ◆ B1PRESS

str B1PRESS = PGButton.getPressPrefix() + MouseButton.one().getName() + '-'

## ◆ B1RELEASE

str B1RELEASE = PGButton.getReleasePrefix() + MouseButton.one().getName() + '-'

## ◆ B2CLICK

str B2CLICK = PGButton.getClickPrefix() + MouseButton.two().getName() + '-'

## ◆ B2PRESS

str B2PRESS = PGButton.getPressPrefix() + MouseButton.two().getName() + '-'

## ◆ B2RELEASE

str B2RELEASE = PGButton.getReleasePrefix() + MouseButton.two().getName() + '-'

## ◆ B3CLICK

str B3CLICK = PGButton.getClickPrefix() + MouseButton.three().getName() + '-'

## ◆ B3PRESS

str B3PRESS = PGButton.getPressPrefix() + MouseButton.three().getName() + '-'

## ◆ B3RELEASE

str B3RELEASE = PGButton.getReleasePrefix() + MouseButton.three().getName() + '-'

## ◆ BACKGROUND_SORT_INDEX

int BACKGROUND_SORT_INDEX = -100

## ◆ BUTTON_DEPRESSED_STATE

BUTTON_DEPRESSED_STATE = PGButton.SDepressed

## ◆ BUTTON_INACTIVE_STATE

BUTTON_INACTIVE_STATE = PGButton.SInactive

## ◆ BUTTON_READY_STATE

BUTTON_READY_STATE = PGButton.SReady

## ◆ BUTTON_ROLLOVER_STATE

BUTTON_ROLLOVER_STATE = PGButton.SRollover

## ◆ CURSORMOVE

CURSORMOVE = PGEntry.getCursormovePrefix()

## ◆ defaultClickSound

defaultClickSound = None

## ◆ defaultDialogGeom

defaultDialogGeom = None

## ◆ defaultDialogRelief

defaultDialogRelief = PGFrameStyle.TBevelOut

## ◆ defaultFont

defaultFont = None

## ◆ defaultFontFunc

defaultFontFunc = TextNode.getDefaultFont

## ◆ defaultRolloverSound

defaultRolloverSound = None

## ◆ DESTROY

str DESTROY = 'destroy-'

## ◆ DIALOG_CANCEL

int DIALOG_CANCEL = -1

## ◆ DIALOG_NO

int DIALOG_NO = 0

## ◆ DIALOG_OK

int DIALOG_OK = 1

## ◆ DISABLED

str DISABLED = 'disabled'

## ◆ drawOrder

int drawOrder = 100

## ◆ ENTER

ENTER = PGButton.getEnterPrefix()

## ◆ ERASE

ERASE = PGEntry.getErasePrefix()

## ◆ EXIT

EXIT = PGButton.getExitPrefix()

## ◆ FADE_SORT_INDEX

int FADE_SORT_INDEX = 1000

## ◆ FLAT

FLAT = PGFrameStyle.TFlat

## ◆ FOREGROUND_SORT_INDEX

int FOREGROUND_SORT_INDEX = 100

## ◆ FrameStyleDict

dict FrameStyleDict

Initial value:
1= {'flat': FLAT, 'raised': RAISED, 'sunken': SUNKEN,
2 'groove': GROOVE, 'ridge': RIDGE,
3 'texture_border': TEXTUREBORDER,
4 }

## ◆ GEOM_SORT_INDEX

int GEOM_SORT_INDEX = 20

## ◆ get_default_click_sound

get_default_click_sound = getDefaultClickSound

## ◆ get_default_dialog_geom

get_default_dialog_geom = getDefaultDialogGeom

## ◆ get_default_dialog_relief

get_default_dialog_relief = getDefaultDialogRelief

## ◆ get_default_draw_order

get_default_draw_order = getDefaultDrawOrder

## ◆ get_default_font

get_default_font = getDefaultFont

## ◆ get_default_panel

get_default_panel = getDefaultPanel

## ◆ get_default_rollover_sound

get_default_rollover_sound = getDefaultRolloverSound

## ◆ GROOVE

GROOVE = PGFrameStyle.TGroove

## ◆ HORIZONTAL

str HORIZONTAL = 'horizontal'

## ◆ IMAGE_SORT_INDEX

int IMAGE_SORT_INDEX = 10

## ◆ INITOPT

list INITOPT = ['initopt']

Constant used to indicate that an option can only be set by a call to the constructor.

## ◆ LMB

int LMB = 0

## ◆ MIDGROUND_SORT_INDEX

int MIDGROUND_SORT_INDEX = 0

## ◆ MMB

int MMB = 1

## ◆ NO_FADE_SORT_INDEX

int NO_FADE_SORT_INDEX = 2000

## ◆ NORMAL

str NORMAL = 'normal'

## ◆ OVERFLOW

OVERFLOW = PGEntry.getOverflowPrefix()

## ◆ panel

panel = None

## ◆ PRINT

str PRINT = 'print-'

## ◆ RAISED

RAISED = PGFrameStyle.TBevelOut

## ◆ RIDGE

RIDGE = PGFrameStyle.TRidge

## ◆ RMB

int RMB = 2

## ◆ set_default_click_sound

set_default_click_sound = setDefaultClickSound

## ◆ set_default_dialog_geom

set_default_dialog_geom = setDefaultDialogGeom

## ◆ set_default_draw_order

set_default_draw_order = setDefaultDrawOrder

## ◆ set_default_font

set_default_font = setDefaultFont

## ◆ set_default_panel

set_default_panel = setDefaultPanel

## ◆ set_default_rollover_sound

set_default_rollover_sound = setDefaultRolloverSound

## ◆ SUNKEN

SUNKEN = PGFrameStyle.TBevelIn

## ◆ TEXT_SORT_INDEX

int TEXT_SORT_INDEX = 30

## ◆ TEXTUREBORDER

TEXTUREBORDER = PGFrameStyle.TTextureBorder

## ◆ TYPE

TYPE = PGEntry.getTypePrefix()

## ◆ VERTICAL

str VERTICAL = 'vertical'

## ◆ VERTICAL_INVERTED

str VERTICAL_INVERTED = 'vertical_inverted'

## ◆ WITHIN

WITHIN = PGButton.getWithinPrefix()

## ◆ WITHOUT

WITHOUT = PGButton.getWithoutPrefix()